/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\khaldun stealables\TaintedLongblade.cs
Lines of code: 46
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class TaintedLongblade : BladedStaff
	{
		public override int ArtifactRarity{ get{ return 10; } }
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public TaintedLongblade() 
		{
			Name = "Tainted Longblade";
			Hue = 1194;
			WeaponAttributes.HitLeechHits = 75;
			WeaponAttributes.HitLeechStam = 75;
			WeaponAttributes.HitPoisonArea = 75;
			Attributes.WeaponSpeed = 25;
			Attributes.WeaponDamage = 25;
			Attributes.RegenStam = 5;
			SkillBonuses.SetValues( 1, SkillName.Tactics, 15.0 );
			SkillBonuses.SetValues( 2, SkillName.Swords, 15.0 );

			
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=25;
			AosElementDamages.Poison=75;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;			
		}

		/*public override void GetDamageTypes( Mobile wielder, out int phys, out int fire, out int cold, out int pois, out int nrgy,out int chaos )
		{
			pois = 75;
			cold = 25;
			nrgy = fire = phys = chaos = 0;
		}*/

		public TaintedLongblade( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			if ( Hue == 0x44F )
				Hue = 0x76D;
		}
	}
}